Viewing docs for Oracle Cloud Infrastructure v5.3.0
published on Friday, Oct 9, 2026 by Pulumi
published on Friday, Oct 9, 2026 by Pulumi
Viewing docs for Oracle Cloud Infrastructure v5.3.0
published on Friday, Oct 9, 2026 by Pulumi
published on Friday, Oct 9, 2026 by Pulumi
This data source provides the list of Subsetting Policy Health Reports in Oracle Cloud Infrastructure Data Safe service.
Gets a list of subsetting policy health reports based on the specified query parameters.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as oci from "@pulumi/oci";
const testSubsettingPolicyHealthReports = oci.datasafe.getSubsettingPolicyHealthReports({
compartmentId: compartmentId,
accessLevel: subsettingPolicyHealthReportAccessLevel,
compartmentIdInSubtree: subsettingPolicyHealthReportCompartmentIdInSubtree === "true",
displayName: subsettingPolicyHealthReportDisplayName,
state: subsettingPolicyHealthReportState,
subsettingPolicyHealthReportId: testSubsettingPolicyHealthReport.id,
subsettingPolicyId: testSubsettingPolicy.id,
targetId: testTarget.id,
});
import pulumi
import pulumi_oci as oci
test_subsetting_policy_health_reports = oci.datasafe.get_subsetting_policy_health_reports(compartment_id=compartment_id,
access_level=subsetting_policy_health_report_access_level,
compartment_id_in_subtree=subsetting_policy_health_report_compartment_id_in_subtree == "true",
display_name=subsetting_policy_health_report_display_name,
state=subsetting_policy_health_report_state,
subsetting_policy_health_report_id=test_subsetting_policy_health_report["id"],
subsetting_policy_id=test_subsetting_policy["id"],
target_id=test_target["id"])
package main
import (
"github.com/pulumi/pulumi-oci/sdk/v5/go/oci/datasafe"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := datasafe.GetSubsettingPolicyHealthReports(ctx, &datasafe.GetSubsettingPolicyHealthReportsArgs{
CompartmentId: compartmentId,
AccessLevel: pulumi.StringRef(subsettingPolicyHealthReportAccessLevel),
CompartmentIdInSubtree: pulumi.BoolRef(subsettingPolicyHealthReportCompartmentIdInSubtree),
DisplayName: pulumi.StringRef(subsettingPolicyHealthReportDisplayName),
State: pulumi.StringRef(subsettingPolicyHealthReportState),
SubsettingPolicyHealthReportId: pulumi.StringRef(testSubsettingPolicyHealthReport.Id),
SubsettingPolicyId: pulumi.StringRef(testSubsettingPolicy.Id),
TargetId: pulumi.StringRef(testTarget.Id),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Oci = Pulumi.Oci;
return await Deployment.RunAsync(() =>
{
var testSubsettingPolicyHealthReports = Oci.DataSafe.GetSubsettingPolicyHealthReports.Invoke(new()
{
CompartmentId = compartmentId,
AccessLevel = subsettingPolicyHealthReportAccessLevel,
CompartmentIdInSubtree = subsettingPolicyHealthReportCompartmentIdInSubtree,
DisplayName = subsettingPolicyHealthReportDisplayName,
State = subsettingPolicyHealthReportState,
SubsettingPolicyHealthReportId = testSubsettingPolicyHealthReport.Id,
SubsettingPolicyId = testSubsettingPolicy.Id,
TargetId = testTarget.Id,
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.oci.DataSafe.DataSafeFunctions;
import com.pulumi.oci.DataSafe.inputs.GetSubsettingPolicyHealthReportsArgs;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var testSubsettingPolicyHealthReports = DataSafeFunctions.getSubsettingPolicyHealthReports(GetSubsettingPolicyHealthReportsArgs.builder()
.compartmentId(compartmentId)
.accessLevel(subsettingPolicyHealthReportAccessLevel)
.compartmentIdInSubtree(subsettingPolicyHealthReportCompartmentIdInSubtree)
.displayName(subsettingPolicyHealthReportDisplayName)
.state(subsettingPolicyHealthReportState)
.subsettingPolicyHealthReportId(testSubsettingPolicyHealthReport.id())
.subsettingPolicyId(testSubsettingPolicy.id())
.targetId(testTarget.id())
.build());
}
}
variables:
testSubsettingPolicyHealthReports:
fn::invoke:
function: oci:DataSafe:getSubsettingPolicyHealthReports
arguments:
compartmentId: ${compartmentId}
accessLevel: ${subsettingPolicyHealthReportAccessLevel}
compartmentIdInSubtree: ${subsettingPolicyHealthReportCompartmentIdInSubtree}
displayName: ${subsettingPolicyHealthReportDisplayName}
state: ${subsettingPolicyHealthReportState}
subsettingPolicyHealthReportId: ${testSubsettingPolicyHealthReport.id}
subsettingPolicyId: ${testSubsettingPolicy.id}
targetId: ${testTarget.id}
pulumi {
required_providers {
oci = {
source = "pulumi/oci"
}
}
}
data "oci_datasafe_getsubsettingpolicyhealthreports" "testSubsettingPolicyHealthReports" {
compartment_id = compartmentId
access_level = subsettingPolicyHealthReportAccessLevel
compartment_id_in_subtree = subsettingPolicyHealthReportCompartmentIdInSubtree
display_name = subsettingPolicyHealthReportDisplayName
state = subsettingPolicyHealthReportState
subsetting_policy_health_report_id = testSubsettingPolicyHealthReport.id
subsetting_policy_id = testSubsettingPolicy.id
target_id = testTarget.id
}
Using getSubsettingPolicyHealthReports
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSubsettingPolicyHealthReports(args: GetSubsettingPolicyHealthReportsArgs, opts?: InvokeOptions): Promise<GetSubsettingPolicyHealthReportsResult>
function getSubsettingPolicyHealthReportsOutput(args: GetSubsettingPolicyHealthReportsOutputArgs, opts?: InvokeOutputOptions): Output<GetSubsettingPolicyHealthReportsResult>def get_subsetting_policy_health_reports(access_level: Optional[str] = None,
compartment_id: Optional[str] = None,
compartment_id_in_subtree: Optional[bool] = None,
display_name: Optional[str] = None,
filters: Optional[Sequence[GetSubsettingPolicyHealthReportsFilter]] = None,
state: Optional[str] = None,
subsetting_policy_health_report_id: Optional[str] = None,
subsetting_policy_id: Optional[str] = None,
target_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetSubsettingPolicyHealthReportsResult
def get_subsetting_policy_health_reports_output(access_level: pulumi.Input[Optional[str]] = None,
compartment_id: pulumi.Input[Optional[str]] = None,
compartment_id_in_subtree: pulumi.Input[Optional[bool]] = None,
display_name: pulumi.Input[Optional[str]] = None,
filters: pulumi.Input[Optional[Sequence[pulumi.Input[GetSubsettingPolicyHealthReportsFilterArgs]]]] = None,
state: pulumi.Input[Optional[str]] = None,
subsetting_policy_health_report_id: pulumi.Input[Optional[str]] = None,
subsetting_policy_id: pulumi.Input[Optional[str]] = None,
target_id: pulumi.Input[Optional[str]] = None,
opts: Optional[InvokeOutputOptions] = None) -> Output[GetSubsettingPolicyHealthReportsResult]func GetSubsettingPolicyHealthReports(ctx *Context, args *GetSubsettingPolicyHealthReportsArgs, opts ...InvokeOption) (*GetSubsettingPolicyHealthReportsResult, error)
func GetSubsettingPolicyHealthReportsOutput(ctx *Context, args *GetSubsettingPolicyHealthReportsOutputArgs, opts ...InvokeOption) GetSubsettingPolicyHealthReportsResultOutput> Note: This function is named GetSubsettingPolicyHealthReports in the Go SDK.
public static class GetSubsettingPolicyHealthReports
{
public static Task<GetSubsettingPolicyHealthReportsResult> InvokeAsync(GetSubsettingPolicyHealthReportsArgs args, InvokeOptions? opts = null)
public static Output<GetSubsettingPolicyHealthReportsResult> Invoke(GetSubsettingPolicyHealthReportsInvokeArgs args, InvokeOptions? opts = null)
public static Output<GetSubsettingPolicyHealthReportsResult> Invoke(GetSubsettingPolicyHealthReportsInvokeArgs args, InvokeOutputOptions opts)
}public static CompletableFuture<GetSubsettingPolicyHealthReportsResult> getSubsettingPolicyHealthReports(GetSubsettingPolicyHealthReportsArgs args, InvokeOptions options)
public static Output<GetSubsettingPolicyHealthReportsResult> getSubsettingPolicyHealthReports(GetSubsettingPolicyHealthReportsArgs args, InvokeOptions options)
public static Output<GetSubsettingPolicyHealthReportsResult> getSubsettingPolicyHealthReports(GetSubsettingPolicyHealthReportsArgs args, InvokeOutputOptions options)
fn::invoke:
function: oci:DataSafe/getSubsettingPolicyHealthReports:getSubsettingPolicyHealthReports
arguments:
# arguments dictionarydata "oci_data_safe_get_subsetting_policy_health_reports" "name" {
# arguments
}The following arguments are supported:
- Compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- Access
Level string - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- Compartment
Id boolIn Subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- Display
Name string - A filter to return only resources that match the specified display name.
- Filters
List<Get
Subsetting Policy Health Reports Filter> - State string
- A filter to return only the resources that match the specified lifecycle states.
- Subsetting
Policy stringHealth Report Id - A filter to return only the resources that match the specified subsetting policy health report OCID.
- Subsetting
Policy stringId - A filter to return only the resources that match the specified subsetting policy OCID.
- Target
Id string - A filter to return only items related to a specific target OCID.
- Compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- Access
Level string - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- Compartment
Id boolIn Subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- Display
Name string - A filter to return only resources that match the specified display name.
- Filters
[]Get
Subsetting Policy Health Reports Filter - State string
- A filter to return only the resources that match the specified lifecycle states.
- Subsetting
Policy stringHealth Report Id - A filter to return only the resources that match the specified subsetting policy health report OCID.
- Subsetting
Policy stringId - A filter to return only the resources that match the specified subsetting policy OCID.
- Target
Id string - A filter to return only items related to a specific target OCID.
- compartment_
id string - A filter to return only resources that match the specified compartment OCID.
- access_
level string - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- compartment_
id_ boolin_ subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- display_
name string - A filter to return only resources that match the specified display name.
- filters list(object)
- state string
- A filter to return only the resources that match the specified lifecycle states.
- subsetting_
policy_ stringhealth_ report_ id - A filter to return only the resources that match the specified subsetting policy health report OCID.
- subsetting_
policy_ stringid - A filter to return only the resources that match the specified subsetting policy OCID.
- target_
id string - A filter to return only items related to a specific target OCID.
- compartment
Id String - A filter to return only resources that match the specified compartment OCID.
- access
Level String - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- compartment
Id BooleanIn Subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- display
Name String - A filter to return only resources that match the specified display name.
- filters
List<Get
Subsetting Policy Health Reports Filter> - state String
- A filter to return only the resources that match the specified lifecycle states.
- subsetting
Policy StringHealth Report Id - A filter to return only the resources that match the specified subsetting policy health report OCID.
- subsetting
Policy StringId - A filter to return only the resources that match the specified subsetting policy OCID.
- target
Id String - A filter to return only items related to a specific target OCID.
- compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- access
Level string - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- compartment
Id booleanIn Subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- display
Name string - A filter to return only resources that match the specified display name.
- filters
Get
Subsetting Policy Health Reports Filter[] - state string
- A filter to return only the resources that match the specified lifecycle states.
- subsetting
Policy stringHealth Report Id - A filter to return only the resources that match the specified subsetting policy health report OCID.
- subsetting
Policy stringId - A filter to return only the resources that match the specified subsetting policy OCID.
- target
Id string - A filter to return only items related to a specific target OCID.
- compartment_
id str - A filter to return only resources that match the specified compartment OCID.
- access_
level str - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- compartment_
id_ boolin_ subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- display_
name str - A filter to return only resources that match the specified display name.
- filters
Sequence[Get
Subsetting Policy Health Reports Filter] - state str
- A filter to return only the resources that match the specified lifecycle states.
- subsetting_
policy_ strhealth_ report_ id - A filter to return only the resources that match the specified subsetting policy health report OCID.
- subsetting_
policy_ strid - A filter to return only the resources that match the specified subsetting policy OCID.
- target_
id str - A filter to return only items related to a specific target OCID.
- compartment
Id String - A filter to return only resources that match the specified compartment OCID.
- access
Level String - Valid values are RESTRICTED and ACCESSIBLE. Default is RESTRICTED. Setting this to ACCESSIBLE returns only those compartments for which the user has INSPECT permissions directly or indirectly (permissions can be on a resource in a subcompartment). When set to RESTRICTED permissions are checked and no partial results are displayed.
- compartment
Id BooleanIn Subtree - Default is false. When set to true, the hierarchy of compartments is traversed and all compartments and subcompartments in the tenancy are returned. Depends on the 'accessLevel' setting.
- display
Name String - A filter to return only resources that match the specified display name.
- filters List<Property Map>
- state String
- A filter to return only the resources that match the specified lifecycle states.
- subsetting
Policy StringHealth Report Id - A filter to return only the resources that match the specified subsetting policy health report OCID.
- subsetting
Policy StringId - A filter to return only the resources that match the specified subsetting policy OCID.
- target
Id String - A filter to return only items related to a specific target OCID.
getSubsettingPolicyHealthReports Result
The following output properties are available:
- Compartment
Id string - The OCID of the compartment that contains the health report.
- Id string
- The provider-assigned unique ID for this managed resource.
- Subsetting
Policy List<GetHealth Report Collections Subsetting Policy Health Reports Subsetting Policy Health Report Collection> - The list of subsetting_policy_health_report_collection.
- Access
Level string - Compartment
Id boolIn Subtree - Display
Name string - The display name of the health report.
- Filters
List<Get
Subsetting Policy Health Reports Filter> - State string
- The current state of the health report.
- Subsetting
Policy stringHealth Report Id - Subsetting
Policy stringId - The OCID of the subsetting policy.
- Target
Id string - The OCID of the target database for which this report was created.
- Compartment
Id string - The OCID of the compartment that contains the health report.
- Id string
- The provider-assigned unique ID for this managed resource.
- Subsetting
Policy []GetHealth Report Collections Subsetting Policy Health Reports Subsetting Policy Health Report Collection - The list of subsetting_policy_health_report_collection.
- Access
Level string - Compartment
Id boolIn Subtree - Display
Name string - The display name of the health report.
- Filters
[]Get
Subsetting Policy Health Reports Filter - State string
- The current state of the health report.
- Subsetting
Policy stringHealth Report Id - Subsetting
Policy stringId - The OCID of the subsetting policy.
- Target
Id string - The OCID of the target database for which this report was created.
- compartment_
id string - The OCID of the compartment that contains the health report.
- id string
- The provider-assigned unique ID for this managed resource.
- subsetting_
policy_ list(object)health_ report_ collections - The list of subsetting_policy_health_report_collection.
- access_
level string - compartment_
id_ boolin_ subtree - display_
name string - The display name of the health report.
- filters list(object)
- state string
- The current state of the health report.
- subsetting_
policy_ stringhealth_ report_ id - subsetting_
policy_ stringid - The OCID of the subsetting policy.
- target_
id string - The OCID of the target database for which this report was created.
- compartment
Id String - The OCID of the compartment that contains the health report.
- id String
- The provider-assigned unique ID for this managed resource.
- subsetting
Policy List<GetHealth Report Collections Subsetting Policy Health Reports Subsetting Policy Health Report Collection> - The list of subsetting_policy_health_report_collection.
- access
Level String - compartment
Id BooleanIn Subtree - display
Name String - The display name of the health report.
- filters
List<Get
Subsetting Policy Health Reports Filter> - state String
- The current state of the health report.
- subsetting
Policy StringHealth Report Id - subsetting
Policy StringId - The OCID of the subsetting policy.
- target
Id String - The OCID of the target database for which this report was created.
- compartment
Id string - The OCID of the compartment that contains the health report.
- id string
- The provider-assigned unique ID for this managed resource.
- subsetting
Policy GetHealth Report Collections Subsetting Policy Health Reports Subsetting Policy Health Report Collection[] - The list of subsetting_policy_health_report_collection.
- access
Level string - compartment
Id booleanIn Subtree - display
Name string - The display name of the health report.
- filters
Get
Subsetting Policy Health Reports Filter[] - state string
- The current state of the health report.
- subsetting
Policy stringHealth Report Id - subsetting
Policy stringId - The OCID of the subsetting policy.
- target
Id string - The OCID of the target database for which this report was created.
- compartment_
id str - The OCID of the compartment that contains the health report.
- id str
- The provider-assigned unique ID for this managed resource.
- subsetting_
policy_ Sequence[Gethealth_ report_ collections Subsetting Policy Health Reports Subsetting Policy Health Report Collection] - The list of subsetting_policy_health_report_collection.
- access_
level str - compartment_
id_ boolin_ subtree - display_
name str - The display name of the health report.
- filters
Sequence[Get
Subsetting Policy Health Reports Filter] - state str
- The current state of the health report.
- subsetting_
policy_ strhealth_ report_ id - subsetting_
policy_ strid - The OCID of the subsetting policy.
- target_
id str - The OCID of the target database for which this report was created.
- compartment
Id String - The OCID of the compartment that contains the health report.
- id String
- The provider-assigned unique ID for this managed resource.
- subsetting
Policy List<Property Map>Health Report Collections - The list of subsetting_policy_health_report_collection.
- access
Level String - compartment
Id BooleanIn Subtree - display
Name String - The display name of the health report.
- filters List<Property Map>
- state String
- The current state of the health report.
- subsetting
Policy StringHealth Report Id - subsetting
Policy StringId - The OCID of the subsetting policy.
- target
Id String - The OCID of the target database for which this report was created.
Supporting Types
GetSubsettingPolicyHealthReportsFilter
GetSubsettingPolicyHealthReportsSubsettingPolicyHealthReportCollection
GetSubsettingPolicyHealthReportsSubsettingPolicyHealthReportCollectionItem
- Compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- Dictionary<string, string>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example:
{"Operations.CostCenter": "42"} - Display
Name string - A filter to return only resources that match the specified display name.
- Error
Count string - The count of errors in the subsetting health report.
- Dictionary<string, string>
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example:
{"Department": "Finance"} - Id string
- The OCID of the health report.
- State string
- A filter to return only the resources that match the specified lifecycle states.
- Subsetting
Policy stringId - A filter to return only the resources that match the specified subsetting policy OCID.
- Target
Id string - A filter to return only items related to a specific target OCID.
- Time
Created string - The date and time the report was created, in the format defined by RFC3339.
- Time
Updated string - The date and time the report was last updated, in the format defined by RFC3339
- Warning
Count string - The count of warnings in the subsetting health report.
- Compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- map[string]string
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example:
{"Operations.CostCenter": "42"} - Display
Name string - A filter to return only resources that match the specified display name.
- Error
Count string - The count of errors in the subsetting health report.
- map[string]string
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example:
{"Department": "Finance"} - Id string
- The OCID of the health report.
- State string
- A filter to return only the resources that match the specified lifecycle states.
- Subsetting
Policy stringId - A filter to return only the resources that match the specified subsetting policy OCID.
- Target
Id string - A filter to return only items related to a specific target OCID.
- Time
Created string - The date and time the report was created, in the format defined by RFC3339.
- Time
Updated string - The date and time the report was last updated, in the format defined by RFC3339
- Warning
Count string - The count of warnings in the subsetting health report.
- compartment_
id string - A filter to return only resources that match the specified compartment OCID.
- map(string)
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example:
{"Operations.CostCenter": "42"} - display_
name string - A filter to return only resources that match the specified display name.
- error_
count string - The count of errors in the subsetting health report.
- map(string)
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example:
{"Department": "Finance"} - id string
- The OCID of the health report.
- state string
- A filter to return only the resources that match the specified lifecycle states.
- subsetting_
policy_ stringid - A filter to return only the resources that match the specified subsetting policy OCID.
- target_
id string - A filter to return only items related to a specific target OCID.
- time_
created string - The date and time the report was created, in the format defined by RFC3339.
- time_
updated string - The date and time the report was last updated, in the format defined by RFC3339
- warning_
count string - The count of warnings in the subsetting health report.
- compartment
Id String - A filter to return only resources that match the specified compartment OCID.
- Map<String,String>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example:
{"Operations.CostCenter": "42"} - display
Name String - A filter to return only resources that match the specified display name.
- error
Count String - The count of errors in the subsetting health report.
- Map<String,String>
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example:
{"Department": "Finance"} - id String
- The OCID of the health report.
- state String
- A filter to return only the resources that match the specified lifecycle states.
- subsetting
Policy StringId - A filter to return only the resources that match the specified subsetting policy OCID.
- target
Id String - A filter to return only items related to a specific target OCID.
- time
Created String - The date and time the report was created, in the format defined by RFC3339.
- time
Updated String - The date and time the report was last updated, in the format defined by RFC3339
- warning
Count String - The count of warnings in the subsetting health report.
- compartment
Id string - A filter to return only resources that match the specified compartment OCID.
- {[key: string]: string}
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example:
{"Operations.CostCenter": "42"} - display
Name string - A filter to return only resources that match the specified display name.
- error
Count string - The count of errors in the subsetting health report.
- {[key: string]: string}
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example:
{"Department": "Finance"} - id string
- The OCID of the health report.
- state string
- A filter to return only the resources that match the specified lifecycle states.
- subsetting
Policy stringId - A filter to return only the resources that match the specified subsetting policy OCID.
- target
Id string - A filter to return only items related to a specific target OCID.
- time
Created string - The date and time the report was created, in the format defined by RFC3339.
- time
Updated string - The date and time the report was last updated, in the format defined by RFC3339
- warning
Count string - The count of warnings in the subsetting health report.
- compartment_
id str - A filter to return only resources that match the specified compartment OCID.
- Mapping[str, str]
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example:
{"Operations.CostCenter": "42"} - display_
name str - A filter to return only resources that match the specified display name.
- error_
count str - The count of errors in the subsetting health report.
- Mapping[str, str]
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example:
{"Department": "Finance"} - id str
- The OCID of the health report.
- state str
- A filter to return only the resources that match the specified lifecycle states.
- subsetting_
policy_ strid - A filter to return only the resources that match the specified subsetting policy OCID.
- target_
id str - A filter to return only items related to a specific target OCID.
- time_
created str - The date and time the report was created, in the format defined by RFC3339.
- time_
updated str - The date and time the report was last updated, in the format defined by RFC3339
- warning_
count str - The count of warnings in the subsetting health report.
- compartment
Id String - A filter to return only resources that match the specified compartment OCID.
- Map<String>
- Defined tags for this resource. Each key is predefined and scoped to a namespace. For more information, see Resource Tags Example:
{"Operations.CostCenter": "42"} - display
Name String - A filter to return only resources that match the specified display name.
- error
Count String - The count of errors in the subsetting health report.
- Map<String>
- Free-form tags for this resource. Each tag is a simple key-value pair with no predefined name, type, or namespace. For more information, see Resource Tags Example:
{"Department": "Finance"} - id String
- The OCID of the health report.
- state String
- A filter to return only the resources that match the specified lifecycle states.
- subsetting
Policy StringId - A filter to return only the resources that match the specified subsetting policy OCID.
- target
Id String - A filter to return only items related to a specific target OCID.
- time
Created String - The date and time the report was created, in the format defined by RFC3339.
- time
Updated String - The date and time the report was last updated, in the format defined by RFC3339
- warning
Count String - The count of warnings in the subsetting health report.
Package Details
- Repository
- oci pulumi/pulumi-oci
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
ociTerraform Provider.
Viewing docs for Oracle Cloud Infrastructure v5.3.0
published on Friday, Oct 9, 2026 by Pulumi
published on Friday, Oct 9, 2026 by Pulumi